#pragma once
#include <map>
struct M_ActivityKingCraftSignCFGData
{
	//天数
	int mDay;
	//奖励物品
	std::vector<int> mItem;
	//奖励数量
	std::vector<int> mCount;
};

class M_ActivityKingCraftSignCFG
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftSignCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftSignCFGData* GetData(int Day);
	const std::map<int, M_ActivityKingCraftSignCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityKingCraftSignCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityKingCraftSignCFGData> mMapData;
};
